#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string x,y;
    int razlika;
    cin>>x>>y;
    razlika=x.length()-y.length();
    razlika=abs(razlika);
    if(razlika>0){
        if(x.length()>y.length()){
            for(int i=0;i<razlika;i++){
                cout<<x[i];
            }
            x=x.substr(razlika,x.length()-razlika);
        }
        else{
            for(int i=0;i<razlika;i++){
                cout<<y[i];
            }
            y=y.substr(razlika,y.length()-razlika);
        }
    }
    for(unsigned int i=0;i<x.length();i++){
        if(x[i]>y[i]){
            cout<<x[i];
        }
        else if(x[i]<y[i]){
            cout<<y[i];
        }
        else{
            cout<<x[i]<<y[i];
        }
    }
    return 0;
}